### Hierarchy

- LayoutEdge
  - ForceDirectedEdge

This holds ForceDirectedLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

### Properties

- length
- stiffness

## Constructors

### constructor

- new ForceDirectedEdge(network: ForceDirectedNetwork): ForceDirectedEdge

- #### Parameters

  - ##### network: ForceDirectedNetwork

  #### Returns ForceDirectedEdge

## Properties

### length : number

- Gets or sets the length of this edge. The default value is NaN.

### stiffness : number

- Gets or sets this edge's stiffness or resistance to compression or stretching. The default value is NaN.

Copyright © 1998-2019 by Northwoods Software Corporation.